#ifndef EXTENSIONTLOS_H
#define EXTENSIONTLOS_H
#include <optional>

#include "Actor.h"
#include "Character.h"

class ExtensionTLOs {
public:
    static Character Me() {
        const auto me = pISInterface->IsTopLevelObject("Me");
        LSOBJECT response;
        me(0, nullptr, response);
        const auto characterObject = make_shared<LSObject>(LSObject(response));
        return Character(characterObject);
    }
};

#endif //EXTENSIONTLOS_H
